## AgsResetNote

AgsResetNote — reset note internal

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_reset_note_add ()
void | ags_reset_note_remove ()
AgsResetNote * | ags_reset_note_get_instance ()
AgsResetNote * | ags_reset_note_new ()

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsResetNote

## Includes

    #include <ags/audio/task/ags_reset_note.h>

## Description

The AgsResetNote task resets note to recompute the note during next run.

## Functions

### ags_reset_note_add ()

    void
    ags_reset_note_add (AgsResetNote *reset_note,
                        AgsNote *note);

Add `note` .

#### Parameters

reset_note | the AgsResetNote |
note | the AgsNote |

Since: 3.0.0

### ags_reset_note_remove ()

    void
    ags_reset_note_remove (AgsResetNote *reset_note,
                           AgsNote *note);

Remove `note` .

#### Parameters

reset_note | the AgsResetNote |
note | the AgsNote |

Since: 3.0.0

### ags_reset_note_get_instance ()

    AgsResetNote *
    ags_reset_note_get_instance ();

Get instance.

#### Returns

the AgsResetNote.

[transfer none]

Since: 3.0.0

### ags_reset_note_new ()

    AgsResetNote *
    ags_reset_note_new ();

Creates an AgsResetNote.

#### Returns

an new AgsResetNote.

Since: 3.0.0